<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="UTF-8" />
	<title>The Bookshop</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	
	<!-- See configuration in WebMvConfig.java -->
	<link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet"
		media="screen" />
	
	<script th:src="@{/jquery/jquery.min.js}"></script>
	<script th:src="@{/popper/popper.min.js}"></script>
	<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>
	
	<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
	
</head>

<body>

	<h2 style="text-align: center">Your Orders</h2>
	
	<img th:src="@{/images/books-top.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>

	<div class="col text-center">
		<p>
 		<button onclick="window.history.back()" class="btn btn-primary">Go Back</button>
		<a th:href="@{/}" class="btn btn-secondary">Main Page</a>
	</div>

	<table class="table" style="margin: auto; width: 50%;">
		<thead>
			<tr>
				<th>Title</th>
				<th>Ordered at</th>
			</tr>
		</thead>
		<tbody>
			<tr th:if="${orders.empty}">
				<td colspan="2">No orders found</td>
			</tr>
			<tr th:each="order : ${orders}">
				<td><a th:href="@{'/book/' + ${order.itemId}}" class="text-decoration-none"><span th:text="${order.header}">Title</span></a></td>
				<td><span th:text="${order.formattedDate}">Date</span></td>
			</tr>
		</tbody>
	</table>

	
	<img th:src="@{/images/books-bottom.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>
	
	<div th:if="${!orders.empty}" class="col text-center">
		<p>
 		<button onclick="window.history.back()" class="btn btn-primary">Go Back</button>
		<a th:href="@{/}" class="btn btn-secondary">Main Page</a>
	</div>

</body>
</html>
